from distutils.core import setup

setup(
      name='hdf2img',
      version='1.2.0',
      description='Make a picture of an HDF\'s dataset',
      long_description="This tool builds the image of a 2D HDF4 SDS. It's possible to set a a min/max threshold, a calibration, a linear or log scale using custom color LUTs.\nThe image file formats supported are the ones allowed by the PIL library (PNG, GIF, BMP, and more)",
      author='CGTD-ICARE/UDEV Nicolas PASCAL',
      author_email='nicolas.pascal@icare.univ-lille1.fr',
      url='http://www.icare.univ-lille1.fr',
      packages     = ['hdf2img'],
      package_dir  = {'hdf2img': 'src'},
      package_data = {'hdf2img': [ "color_LUT/*.pal" ] },
      scripts=['bin/hdf2img'],
      #data_files=[('./', [ "hdf2img/blue.pal", "hdf2img/blue_red.pal", "hdf2img/bw_linear.pal", "hdf2img/inverted_bw_linear.pal",
                         #"hdf2img/lidar_nasa.pal", "hdf2img/ocean.pal", "hdf2img/rainbow.pal", "hdf2img/rainbow_white.pal",
                         #"hdf2img/red_temp.pal", "hdf2img/tt.pal" ]) ]
      )
